#!/bin/sh

umask 022

ha=CONFIG_HISAX_16_0
hb=CONFIG_HISAX_16_3
hc=CONFIG_HISAX_TELESPCI
hd=CONFIG_HISAX_S0BOX
he=CONFIG_HISAX_AVM_A1
hf=CONFIG_HISAX_FRITZPCI
hg=CONFIG_HISAX_AVM_A1_PCMCIA
hh=CONFIG_HISAX_ELSA
hi=CONFIG_HISAX_IX1MICROR2
hj=CONFIG_HISAX_DIEHLDIVA
hk=CONFIG_HISAX_ASUSCOM
hl=CONFIG_HISAX_TELEINT
hm=CONFIG_HISAX_HFCS
hn=CONFIG_HISAX_SEDLBAUER
ho=CONFIG_HISAX_SPORTSTER
hp=CONFIG_HISAX_MIC
hq=CONFIG_HISAX_NETJET
hr=CONFIG_HISAX_NICCY
hs=CONFIG_HISAX_ISURF
ht=CONFIG_HISAX_HSTSAPHIR
hu=CONFIG_HISAX_BKM_A4T
hv=CONFIG_HISAX_SCT_QUADRO
hw=CONFIG_HISAX_GAZEL
hx=CONFIG_HISAX_HFC_PCI
hy=CONFIG_HISAX_W6692
hz=CONFIG_HISAX_HFC_SX
h1=CONFIG_HISAX_NETJET_U

kernel=2.2.22

cp .config config.hisax-make

cat .config |\
  sed 's/^CONFIG_HISAX_/#CONFIG_HISAX_/g' |\
  sed 's/^#CONFIG_HISAX_EURO/CONFIG_HISAX_EURO/' >config.noisdn

#make dep
#make clean

umask 0
  
for i in a b c d e f g h i j k l m n o p q r s t u v w x y z 1
do
    {
	cat config.noisdn

	for j in a b c d e f g h i j k l m n o p q r s t u v w x y z 1
	do
	    eval l='$h'$j

	    if [ $i = $j ]
	    then
		echo "$l=y"
	    else
		echo "# $l is not set"
	    fi
	done
    } >.config

    make oldconfig
    rm -f drivers/isdn/hisax/*.o
    make bzImage modules modules_install
    rm -f /lib/modules/$kernel/misc/hisax-$i.o
    mv /lib/modules/$kernel/misc/hisax.o /lib/modules/$kernel/misc/hisax-$i.o
done
    
cp config.hisax-make .config 
rm config.hisax-make
rm config.noisdn
