/*----------------------------------------------------------------------------
 *  var.h   - some declarations
 *
 *  Copyright (c) 2001 Frank Meyer
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Creation:       12.08.2001  fm
 *  Last Update:    12.08.2001  fm
 *----------------------------------------------------------------------------
 */

#define MAX_FILENAMES		1024		    /* max. 1024 filenames  */
#define MAX_VARIABLES		2048		    /* max. 2048 variables  */
				
extern char *	strsave (char *);
extern int	dump_variables (char *);
extern char *	get_variable (char *);
extern char *	get_variable_comment (char *);
extern int	chkvar (char *, int);
extern int	chkvar_idx (char *, char *, int);
extern int	read_config_file (char *, char *);
extern int	set_variable_content (char *, char *);
